Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwalsh.saxon
Class TextFactory

    java.lang.Object
      |
      +--com.nwalsh.saxon.TextFactory

public class TextFactory
extends java.lang.Object
implements com.icl.saxon.style.ExtensionElementFactory

Saxon extension element factory

$Id: TextFactory.java,v 1.4 2000/11/28 22:31:18 ndw Exp $

Copyright (C) 2000 Norman Walsh.

This class provides a Saxon extension element factory for the Text extension element family.

Change Log:

1.0

  Initial release.

See Also:
  `Text`

Constructor Summary
`TextFactory()` Constructor for TextFactory

Method Summary
`java.lang.Class` | `getExtensionClass(java.lang.String localname)` Return the class that implements a particular extension element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextFactory

    public TextFactory()

  Constructor for TextFactory

  Does nothing.

Method Detail

### getExtensionClass

    public java.lang.Class getExtensionClass(java.lang.String localname)
                                      throws org.xml.sax.SAXException

  Return the class that implements a particular extension element.

  Specified by:
    getExtensionClass in interface com.icl.saxon.style.ExtensionElementFactory
  Parameters:
    `localname` - The local name of the extension element.
  Returns:
    The class that handles that extension element.
  Throws:
    SAXException("Unknown - Text extension element")

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD